# Interface LegalConstraints

All Superinterfaces:
  `Constraints`

All Known Implementing Classes:
  `DefaultLegalConstraints`

@UML(identifier="MD_LegalConstraints", specification=ISO_19115) public interface LegalConstraints extends Constraints
Restrictions and legal prerequisites for accessing and using the resource.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<Restriction>`
  `getAccessConstraints()`
  Access constraints applied to assure the protection of privacy or intellectual property, and any special restrictions or limitations on obtaining the resource.
  `Collection<? extends InternationalString>`
  `getOtherConstraints()`
  Other restrictions and legal prerequisites for accessing and using the resource.
  `Collection<Restriction>`
  `getUseConstraints()`
  Constraints applied to assure the protection of privacy or intellectual property, and any special restrictions or limitations or warnings on using the resource.

  ### Methods inherited from interface Constraints

  `getUseLimitations`

- ## Method Details

  - ### getAccessConstraints

    @UML(identifier="accessConstraints", obligation=OPTIONAL, specification=ISO_19115) Collection<Restriction> getAccessConstraints()
    Access constraints applied to assure the protection of privacy or intellectual property, and any special restrictions or limitations on obtaining the resource.
    Returns:
      Access constraints applied to assure the protection of privacy or intellectual property.

  - ### getUseConstraints

    @UML(identifier="useConstraints", obligation=OPTIONAL, specification=ISO_19115) Collection<Restriction> getUseConstraints()
    Constraints applied to assure the protection of privacy or intellectual property, and any special restrictions or limitations or warnings on using the resource.
    Returns:
      Constraints applied to assure the protection of privacy or intellectual property.

  - ### getOtherConstraints

    @UML(identifier="otherConstraints", obligation=CONDITIONAL, specification=ISO_19115) Collection<? extends InternationalString> getOtherConstraints()
    Other restrictions and legal prerequisites for accessing and using the resource. This method should returns a non-empty value only if access constraints or use constraints declares other restrictions.
    Returns:
      Other restrictions and legal prerequisites for accessing and using the resource.